$(document).ready(function(){

	var tmpl = '<dl><dt>[TIME] USER</dt><dd>CHAT</dd></dl>';
	var $chatlogContainer = $('#chatlog');
	var remoteURL = 'http://andymatthews.net/code/jQueryChat/chat.cfc'
	
	function startChat() {
		setInterval(loadChat,5000);
		//loadChat();
	}

	function loadChat(){
		// load in the chat
		$.getJSON(remoteURL, {
			method: "getChat",
			returnformat: 'json'
		}, function(data){
			// clear the chat container before loading chat
			$chatlogContainer.html('');			
			processData(data);
			// scroll to the bottom of the chat window
			$chatlogContainer.scrollTop($chatlogContainer[0].scrollHeight);
		});
	}

	function processData(data){
		var chatLog = '';
		$(data).each(function(i){
			chatLog += tmpl.replace(/TIME/,data[i]['TIME']).replace(/USER/,data[i]['USER']).replace(/CHAT/,data[i]['CHAT']);
		});
		$chatlogContainer.html(chatLog);
	}

	$('form').submit(function(e){
		// don't let the form submit normally
		e.preventDefault();
		// send off the chat data
		$.getJSON(remoteURL,
			{
				method: "setChat",
				returnformat: 'json',
				user: $('#username').val(),
				text: $('#text').val()
			}, function(data){
				processData(data);
			}
		);
	});

	$('input[type=button]').click(function(){
		// clear the chat
		$.getJSON(remoteURL,
			{
				method: "clearChat",
				returnformat: 'json'
			}, function(data){
				$chatlogContainer.html('');
			}
		);
	});

	startChat();

});