<cfcomponent>

	<cfif NOT StructKeyExists(APPLICATION,'chatlog')>
		<cfset APPLICATION.chatlog = []>
	</cfif>
	
	<cffunction name="getChat" returntype="array" access="remote">
		<cfreturn APPLICATION.chatlog>
	</cffunction>
	
	<cffunction name="clearChat" returntype="boolean" access="remote">
		<cfset StructDelete(APPLICATION,'chatlog')>
		<cfreturn true>
	</cffunction>

	<cffunction name="setChat" returntype="array" access="remote">
		<cfargument name="user" type="string">
		<cfargument name="text" type="string">

		<cfset var LOCAL = {}>
		<cfset LOCAL.TIME = TimeFormat(Now(),'h:mm:ss')>
		<cfset LOCAL.USER = ARGUMENTS.user>
		<cfset LOCAL.CHAT = ARGUMENTS.text>

		<cfset ArrayAppend(APPLICATION.chatlog,LOCAL)>

		<cfreturn APPLICATION.chatlog>

	</cffunction>

</cfcomponent>